Loading...
Searching...
No Matches
client.h File Reference
Core API » Client

pipewire/client.h More...

Go to the source code of this file.

## Data Structures

struct | pw_client_info
| The client information. More...
struct | pw_client_events
| Client events. More...
struct | pw_client_methods
| Client methods. More...

## Macros

#define | PW_TYPE_INTERFACE_Client PW_TYPE_INFO_INTERFACE_BASE "Client"
#define | PW_CLIENT_PERM_MASK PW_PERM_RWXM
#define | PW_VERSION_CLIENT 3
#define | PW_API_CLIENT_IMPL static inline
#define | PW_ID_CLIENT 1
#define | PW_CLIENT_CHANGE_MASK_PROPS (1 << 0)
#define | PW_CLIENT_CHANGE_MASK_ALL ((1 << 1)-1)
#define | PW_CLIENT_EVENT_INFO 0
#define | PW_CLIENT_EVENT_PERMISSIONS 1
#define | PW_CLIENT_EVENT_NUM 2
#define | PW_VERSION_CLIENT_EVENTS 0
#define | PW_CLIENT_METHOD_ADD_LISTENER 0
#define | PW_CLIENT_METHOD_ERROR 1
#define | PW_CLIENT_METHOD_UPDATE_PROPERTIES 2
#define | PW_CLIENT_METHOD_GET_PERMISSIONS 3
#define | PW_CLIENT_METHOD_UPDATE_PERMISSIONS 4
#define | PW_CLIENT_METHOD_NUM 5
#define | PW_VERSION_CLIENT_METHODS 0

## Functions

struct pw_client_info * | pw_client_info_update (struct pw_client_info *info, const struct pw_client_info *update)
| Update an existing pw_client_info with update with reset.
struct pw_client_info * | pw_client_info_merge (struct pw_client_info *info, const struct pw_client_info *update, bool reset)
| Merge an existing pw_client_info with update.
void | pw_client_info_free (struct pw_client_info *info)
| Free a pw_client_info.
PW_API_CLIENT_IMPL int | pw_client_add_listener (struct pw_client *object, struct spa_hook *listener, const struct pw_client_events *events, void *data)
PW_API_CLIENT_IMPL int | pw_client_error (struct pw_client *object, uint32_t id, int res, const char *message)
| Send an error to a client.
PW_API_CLIENT_IMPL int | pw_client_update_properties (struct pw_client *object, const struct spa_dict *props)
| Update client properties.
PW_API_CLIENT_IMPL int | pw_client_get_permissions (struct pw_client *object, uint32_t index, uint32_t num)
| Get client permissions.
PW_API_CLIENT_IMPL int | pw_client_update_permissions (struct pw_client *object, uint32_t n_permissions, const struct pw_permission *permissions)
| Manage the permissions of the global objects for this client.

## Detailed Description

pipewire/client.h